title: Lecture
properties:
  id:
    type: number
  name:
    type: string
  type:
    type: string
    enum:
      - LAB
      - PRO
      - WYK
  lecturer:
    type: object
    $ref: ../lecturer/Lecturer.yaml
  classroom:
    type: object
    $ref: Classroom.yaml
  groups:
    type: array
    items:
      $ref: Group.yaml
  hour:
    type: string
  dayOfWeek:
    type: string
  dateInterval:
    type: string
    enum:
      - EVERY_WEEK
      - EVEN_WEEK
      - ODD_WEEK